{ pkgs, config, ... }: {
    # Allow unfree packages
    nixpkgs.config.allowUnfree = true;

    programs.steam = {
        enable = true;
        remotePlay.openFirewall = true; # Open ports in the firewall for Steam Remote Play
        dedicatedServer.openFirewall = true; # Open ports in the firewall for Source Dedicated Server
    };
    hardware.opengl.driSupport32Bit = true; # Enables support for 32bit libs that steam uses
}
